<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$seccion=$_GET['seccion'];
$materia=$_GET['materia'];
$periodo=$_GET['periodo'];
$semestre=$_GET['semestre'];
$pensum=$_GET['pensum'];
$mencion=$_GET['nivel'];
$turno=$_GET['turno'];

$nivel="CP";
if($mencion=="CIU") $nivel="CIU";
if($mencion=="CG") $nivel="CG";

if(($mencion=='CG') || ($mencion=='CIU'))$mencion='COMUN';


// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");
// Datos de la Materia.
$sql1 = "select nombre_materia,uc from materias where id_materia='$materia' and id_carrera='$carrera'";
$rs1=mysql_query($sql1,$cn);
$row1=mysql_fetch_array($rs1);
$nom_materia=$row1['nombre_materia'];

$uc=$row1['uc'];


if($nivel=="CIU"){
   $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
}   
if($nivel=="CG"){
   $nombre_mencion="COMPONENTE GENERAL";
}   
if($nivel=="CP"){
   $sql1 = "select nombre_mencion from menciones where id_carrera='$carrera' and id_mencion='$mencion'";
$rs1=mysql_query($sql1,$cn);
$row1=mysql_fetch_array($rs1);
$nombre_mencion=$row1['nombre_mencion'];
}   


// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$cod_periodo=$row2['codigo'];

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];

$sql4 = "select nombre_sede from sedes where codigo='$sede'";
$rs4=mysql_query($sql4,$cn);
$row4=mysql_fetch_array($rs4);
$nom_sede=$row4['nombre_sede'];

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, inscripciones.nota, inscripciones.id_docente,inscripciones.acumulado FROM alumnos,inscripciones where alumnos.id_alumno=inscripciones.id_alumno and inscripciones.sede='$sede' and inscripciones.id_carrera='$carrera' and inscripciones.id_seccion='$seccion' and inscripciones.id_materia='$materia' and inscripciones.id_periodo='$periodo' and inscripciones.semestre='$semestre' and inscripciones.pensum='$pensum' order by alumnos.apellidos, alumnos.nombres";

// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.
$id_docente=$rstHistorico['id_docente'];

$query_rstDocentes = "SELECT cedula,apellidos,nombres FROM docentes WHERE id_docente='$id_docente'";
$rstDocentes = mysql_query($query_rstDocentes, $cn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$cedula_docente=$row_rstDocentes['cedula'];
$nom_docente=$row_rstDocentes['nombres'].', '.$row_rstDocentes['apellidos'];
if($cedula_docente=='0'){
   $nom_docente='';
   }
   
// Reinicia la ejecuci�n del query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Sede: ".$nom_sede,10,array('justification'=>'left'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("ACTA DE CALIFICACIONES FINAL").'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."   CARRERA: ".'</b>'.$carrera.":".utf8_decode($nom_carrera),9,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("   MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion),9,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."   UNIDAD CURRICULAR: ".'</b>'.$materia.":".utf8_decode($nom_materia),9,array('justification'=>'left'));
$pdf->ezsetdy(-2);

$pdf->ezText('<b>'.utf8_decode("   UNIDADES CRÉDITO: ").'</b>'.$uc.'<b>'.utf8_decode("   SECCIÓN: ").'</b>'.$seccion.'<b>'.utf8_decode("   SEMESTRE: ").'</b>'.$semestre.'<b>'.utf8_decode("   LAPSO ACADÉMICO: ").'</b>'.$cod_periodo." ".$descripcion.'<b>'.utf8_decode("   INSCRITOS: ").'</b>'.$totalRows,9 ,array('justification'=>'left'));
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

$pdf->ezSetCmMargins(6,5.5,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('Cédula     ').'</b>', 
              'apellidosynombres'=>'<b>'.'             Apellidos y Nombres del Estudiante'.'</b>', 
              'acum'=>'<b>'.utf8_decode('V.A (100%)').'</b>',
			  'nota'=>'<b>'.utf8_decode('Calificación'.'      ').'</b>',
			  'enletras'=>'<b>'.'    En Letras'.'</b>'); 
$smc = 0; 
// Convierte la Nota a Letras.

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
    $apeynom  = $row[1].', '.$row[2]; // apellidos y nombres 
    $not      = $row[3];    // nota 
	$acum      = $row[5];    // nota 
	
    /*$nota->convertir($row[3]);
	$enlet=strtoupper($nota->resultado); */
	$enlet=nota_en_letras($not);
	if($not==''){
	   $enlet='';
	   }
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced, 
                    'apellidosynombres'=>utf8_decode($apeynom), 
					'acum'=>round($acum).'         ', 
                    'nota'=>round($not).'             ', 
                    'enletras'=>utf8_decode($enlet)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'540','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left') 
			 ,'acum'=>array('justification'=>'right') 
             ,'nota'=>array('justification'=>'right') 
             ,'enletras'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $id_docente, $nom_docente)
{

    global $sede;
    // Facilitador(a).
	if($id_docente=='0'){
	   $id_docente='';
	  }
    $pdf->Rectangle(38,24,540,137);
	// Docente.
	$pdf->addText(290,149,8,utf8_decode('Docente'));
	$pdf->line(38,145,578,145); 
	$pdf->addText(45,138,7,'Nombres y Apellidos');
	$pdf->addText(70,126,8,utf8_decode($nom_docente));
	$pdf->addText(400,122,7,'Firma: ______________________________________');
	$pdf->addText(45,118,7,utf8_decode('Cédula o Pasaporte'));
	$pdf->addText(460,108,7,'Fecha: ______/______/_________ ');
	$pdf->addText(70,108,9,$id_docente);
	$pdf->line(38,105,578,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,utf8_decode('Coordinación de Mención'));
	$pdf->line(38,92,578,92); 
	$pdf->addText(45,82,7,'Nombres y Apellidos');
	$pdf->addText(400,66,7,'Firma: ______________________________________');
	$pdf->addText(45,62,7,utf8_decode('Cédula o Pasaporte'));
	$pdf->addText(460,52,7,'Fecha: ______/______/_________ ');
	$pdf->line(38,49,578,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(45,42,5,utf8_decode('Escala de Evaluación: Del Uno (1) al Veinte (20)'));
	$pdf->addText(380,42,5,utf8_decode('V°B° CONTROL DE ESTUDIOS').'  ('.$sede.')');
	$pdf->addText(45,35,5,utf8_decode('Calificación Mínima Aprobatoria: Diez (10) puntos'));
	$pdf->addText(65,28,5,'');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');
}

function nota_en_letras($nota)
{
   // Extraigo la parte entera y la parte decimal de la Nota.
   $entero=round($nota);
   $decimal=substr($nota,3,2);
  
   // Convierto la Parte entera de la Nota en letras.
   switch ($entero)
   {
   	   case 0:
	    $entero_en_letras='UN0';
		break;	
	  case 1:
	    $entero_en_letras='UNO';
		break;	
	  case 2:
	  	$entero_en_letras='DOS';
		break;
	  case 3:
	  	$entero_en_letras='TRES';
		break;
	  case 4:
	  	$entero_en_letras='CUATRO';
		break;
	  case 5:
	  	$entero_en_letras='CINCO';
		break;
	  case 6:
	    $entero_en_letras='SEIS';
		break;	
	  case 7:
	    $entero_en_letras='SIETE';
		break;	
	  case 8:
	  	$entero_en_letras='OCHO';
		break;
	  case 9:
	  	$entero_en_letras='NUEVE';
		break;
	  case 10:
	  	$entero_en_letras='DIEZ';
		break;
	  case 11:
	  	$entero_en_letras='ONCE';
		break;
	  case 12:
	    $entero_en_letras='DOCE';
		break;	
	  case 13:
	    $entero_en_letras='TRECE';
		break;	
	  case 14:
	  	$entero_en_letras='CATORCE';
		break;
	  case 15:
	  	$entero_en_letras='QUINCE';
		break;
	  case 16:
	  	$entero_en_letras='DIECISEIS';
		break;
	  case 17:
	  	$entero_en_letras='DIECISIETE';
		break;
	  case 18:
	    $entero_en_letras='DIECIOCHO';
		break;	
	  case 19:
	    $entero_en_letras='DIECINUEVE';
		break;	
	  case 20:
	  	$entero_en_letras='VEINTE';
		break;
	  
   }
   // Convierto la Parte Decimal de la Nota en letras. 
   switch ($decimal)
   {
    case 00:
	    $decimal_en_letras='';
		break;					 
	case 01:
	    $decimal_en_letras='CERO UNO';
		break;	
	case 02:
	    $decimal_en_letras='CERO DOS';
		break;	
	case 03:
	    $decimal_en_letras='CERO TRES';
		break;
	case 04:
	    $decimal_en_letras='CERO CUATRO';
		break;	
	case 05:
	    $decimal_en_letras='CERO CINCO';
		break;	
	case 06:
	    $decimal_en_letras='CERO SEIS';
		break;	
	case 07:
	    $decimal_en_letras='CERO SIETE';
		break;	
	case 08:
	    $decimal_en_letras='CERO OCHO';
		break;	
	case 09:
	    $decimal_en_letras='CERO NUEVE';
		break;	
	case 10:
	    $decimal_en_letras='DIEZ';
		break;	
	case 11:
	    $decimal_en_letras='ONCE';
		break;	
	case 12:
	    $decimal_en_letras='DOCE';
		break;	
	case 13:
	    $decimal_en_letras='TRECE';
		break;	
	case 14:
	    $decimal_en_letras='CATORCE';
		break;	
	case 15:
	    $decimal_en_letras='QUINCE';
		break;	
	case 16:
	    $decimal_en_letras='DIECISEIS';
		break;	
	case 17:
	    $decimal_en_letras='DIECISIETE';
		break;	
	case 18:
	    $decimal_en_letras='DIECIOCHO';
		break;	
	case 19:
	    $decimal_en_letras='DIECINUEVE';
		break;	
	case 20:
	    $decimal_en_letras='VEINTE';
		break;	
	case 21:
	    $decimal_en_letras='VEINTIUNO';
		break;	
	case 22:
	    $decimal_en_letras='VEINTIDOS';
		break;
	case 23:
	    $decimal_en_letras='VEINTITRES';
		break;
	case 24:
	    $decimal_en_letras='VEINTICUATRO';
		break;
	case 25:
	    $decimal_en_letras='VEINTICINCO';
		break;
	case 26:
	    $decimal_en_letras='VEINTISEIS';
		break;
	case 27:
	    $decimal_en_letras='VEINTISIETE';
		break;
	case 28:
	    $decimal_en_letras='VEINTIOCHO';
		break;
	case 29:
	    $decimal_en_letras='VEINTINUEVE';
		break;
	case 30:
	    $decimal_en_letras='TREINTA';
		break;	
	case 31:
	    $decimal_en_letras='TREINTA Y UNO';
		break;
	case 32:
	    $decimal_en_letras='TREINTA Y DOS';
		break;
	case 33:
	    $decimal_en_letras='TREINTA Y TRES';
		break;
	case 34:
	    $decimal_en_letras='TREINTA Y CUATRO';
		break;
	case 35:
	    $decimal_en_letras='TREINTA Y CINCO';
		break;
	case 36:
	    $decimal_en_letras='TREINTA Y SEIS';
		break;
	case 37:
	    $decimal_en_letras='TREINTA Y SIETE';
		break;
	case 38:
	    $decimal_en_letras='TREINTA Y OCHO';
		break;	
	case 39:
	    $decimal_en_letras='TREINTA Y NUEVE';
		break;	
	case 40:
	    $decimal_en_letras='CUARENTA';
		break;	
	case 41:
	    $decimal_en_letras='CUARENTA Y UNO';
		break;	
	case 42:
	    $decimal_en_letras='CUARENTA Y DOS';
		break;	
	case 43:
	    $decimal_en_letras='CUARENTA Y TRES';
		break;	
	case 44:
	    $decimal_en_letras='CUARENTA Y CUATRO';
		break;	
	case 45:
	    $decimal_en_letras='CUARENTA Y CINCO';
		break;	
	case 46:
	    $decimal_en_letras='CUARENTA Y SEIS';
		break;	
	case 47:
	    $decimal_en_letras='CUARENTA Y SIETE';
		break;	
	case 48:
	    $decimal_en_letras='CUARENTA Y OCHO';
		break;	
	case 49:
	    $decimal_en_letras='CUARENTA Y NUEVE ';
		break;	
	case 50:
	    $decimal_en_letras='CINCUENTA';
		break;	
	case 51:
	    $decimal_en_letras='CINCUENTA Y UNO';
		break;	
	case 52:
	    $decimal_en_letras='CINCUENTA Y DOS';
		break;	
	case 53:
	    $decimal_en_letras='CINCUENTA Y TRES';
		break;	
	case 54:
	    $decimal_en_letras='CINCUENTA Y CUATRO';
		break;	
	case 55:
	    $decimal_en_letras='CINCUENTA Y CINCO';
		break;	
	case 56:
	    $decimal_en_letras='CINCUENTA Y SEIS';
		break;	
	case 57:
	    $decimal_en_letras='CINCUENTA Y SIETE';
		break;	
	case 58:
	    $decimal_en_letras='CINCUENTA Y OCHO';
		break;	
	case 59:
	    $decimal_en_letras='CINCUENTA Y NUEVE';
		break;	
	case 60:
	    $decimal_en_letras='SESENTA';
		break;	
	case 61:
	    $decimal_en_letras='SESENTA Y UNO';
		break;	
	case 62:
	    $decimal_en_letras='SESENTA Y DOS';
		break;	
	case 63:
	    $decimal_en_letras='SESENTA Y TRES';
		break;	
	case 64:
	    $decimal_en_letras='SESENTA Y CUATRO';
		break;	
	case 65:
	    $decimal_en_letras='SESENTA Y CINCO';
		break;	
	case 66:
	    $decimal_en_letras='SESENTA Y SEIS';
		break;	
	case 67:
	    $decimal_en_letras='SESENTA Y SIETE';
		break;	
	case 68:
	    $decimal_en_letras='SESENTA Y OCHO';
		break;	
	case 69:
	    $decimal_en_letras='SESENTA Y NUEVE';
		break;	
	case 70:
	    $decimal_en_letras='SETENTA';
		break;	
	case 71:
	    $decimal_en_letras='SETENTA Y UNO';
		break;	
	case 72:
	    $decimal_en_letras='SETENTA Y DOS';
		break;	
	case 73:
	    $decimal_en_letras='SETENTA Y TRES';
		break;	
	case 74:
	    $decimal_en_letras='SETENTA Y CUATRO';
		break;	
	case 75:
	    $decimal_en_letras='SETENTA Y CINCO';
		break;	
	case 76:
	    $decimal_en_letras='SETENTA Y SEIS';
		break;	
	case 77:
	    $decimal_en_letras='SETENTA Y SIETE';
		break;	
	case 78:
	    $decimal_en_letras='SETENTA Y OCHO';
		break;	
	case 79:
	    $decimal_en_letras='SETENTA Y NUEVE';
		break;	
	case 80:
	    $decimal_en_letras='OCHENTA';
		break;	
	case 81:
	    $decimal_en_letras='OCHENTA Y UNO';
		break;	
	case 82:
	    $decimal_en_letras='OCHENTA Y DOS';
		break;	
	case 83:
	    $decimal_en_letras='OCHENTA Y TRES';
		break;	
	case 84:
	    $decimal_en_letras='OCHENTA Y CUATRO';
		break;	
	case 85:
	    $decimal_en_letras='OCHENTA Y CINCO';
		break;	
	case 86:
	    $decimal_en_letras='OCHENTA Y SEIS';
		break;	
	case 87:
	    $decimal_en_letras='OCHENTA Y SIETE';
		break;	
	case 88:
	    $decimal_en_letras='OCHENTA Y OCHO';
		break;	
	case 89:
	    $decimal_en_letras='OCHENTA Y NUEVE';
		break;	
	case 90:
	    $decimal_en_letras='NOVENTA';
		break;	
	case 91:
	    $decimal_en_letras='NOVENTA Y UNO';
		break;	
	case 92:
	    $decimal_en_letras='NOVENTA Y DOS';
		break;	
	case 93:
	    $decimal_en_letras='NOVENTA Y TRES';
		break;	
	case 94:
	    $decimal_en_letras='NOVENTA Y CUATRO';
		break;	
	case 95:
	    $decimal_en_letras='NOVENTA Y CINCO';
		break;	
	case 96:
	    $decimal_en_letras='NOVENTA Y SEIS';
		break;	
	case 97:
	    $decimal_en_letras='NOVENTA Y SIETE';
		break;	
	case 98:
	    $decimal_en_letras='NOVENTA Y OCHO';
		break;	
	case 99:
	    $decimal_en_letras='NOVENTA Y NUEVE';
		break;	
	default:    
		$decimal_en_letras='';
		break;	
   }
   $en_letras=$entero_en_letras.' '.$decimal_en_letras;			     
   return $en_letras;
}
?> 